Expenses

Get My Hris Expense Report Details

Returns the caller's own expense report with line items, files and payment records.

GEThttps://api.toku.com/hris/get-my-hris-expense-report-details

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/hris/get-my-hris-expense-report-details?hrisExpenseReportID=%3ChrisExpenseReportID%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "report": {
    "hrisExpenseReportID": "string",
    "roleInOrgID": "string",
    "roleInOrgName": "string",
    "roleInOrgEmail": "string",
    "roleInOrgDepartment": "string",
    "name": "string",
    "status": "string",
    "startDate": "string",
    "endDate": "string",
    "expensedCurrencyID": "string",
    "expensedCurrencyCode": "string",
    "expensedCurrencyName": "string",
    "totalAmountInExpenseCurrency": "string",
    "submittedAt": "string",
    "approvedAt": "string",
    "rejectedAt": "string",
    "paidAt": "string",
    "payoutStatus": "string",
    "decisionUndoableUntil": "string",
    "rejectionReason": "string",
    "reviewComment": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "expenseCount": 0,
    "categoryNames": [
      "string"
    ],
    "primaryExpenseCategoryName": "string",
    "hasReceiptlessExpenses": true,
    "thirdPartyProvider": "string",
    "thirdPartyReportID": "string",
    "reimbursementSyncedAt": "string",
    "reimbursementSyncError": "string",
    "justification": "string"
  },
  "expenses": [
    {
      "hrisExpenseID": "string",
      "hrisExpenseReportID": "string",
      "roleInOrgID": "string",
      "merchant": "string",
      "description": "string",
      "hrisExpenseCategoryID": "string",
      "hrisExpenseCategoryName": "string",
      "expensedDate": "string",
      "submittedDate": "string",
      "amountSpent": "string",
      "currencySpentID": "string",
      "currencySpentCode": "string",
      "amountInExpenseCurrency": "string",
      "expensedCurrencyID": "string",
      "expensedCurrencyCode": "string",
      "exchangeRateFromCurrencySpentToExpense": "string",
      "status": "string",
      "isReimbursable": true,
      "approvedAt": "string",
      "rejectedAt": "string",
      "reimbursedAt": "string",
      "rejectionReason": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "files": [
        {
          "hrisExpenseFileID": "string",
          "fileID": "string",
          "fileName": "string",
          "mimeType": "string",
          "fileSizeInBytes": "string",
          "fileUploaded": "string",
          "fileKey": "string",
          "fileBucket": "string"
        }
      ]
    }
  ],
  "paymentRecords": [
    {
      "paymentRecordID": "string",
      "method": "string",
      "source": "string",
      "amount": "string",
      "currencyCode": "string",
      "paidAt": "string",
      "proofReference": "string",
      "chain": "string",
      "explorerUrl": "string",
      "notes": "string",
      "createdAt": "string",
      "attachments": [
        {
          "paymentRecordAttachmentID": "string",
          "fileID": "string",
          "fileName": "string",
          "mimeType": "string",
          "fileSizeInBytes": "string"
        }
      ]
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

hrisExpenseReportIDstring<uuid>required

Response

200Successful response
reportobjectrequired
Show child attributes
hrisExpenseReportIDstringrequired
roleInOrgIDstringrequired
roleInOrgNamestring | nullrequired
roleInOrgEmailstring | nullrequired
roleInOrgDepartmentstring | nullrequired
namestringrequired
statusstringrequired
startDatestring | nullrequired
endDatestring | nullrequired
expensedCurrencyIDstring | nullrequired
expensedCurrencyCodestring | nullrequired
expensedCurrencyNamestring | nullrequired
totalAmountInExpenseCurrencystring | nullrequired
submittedAtstring | nullrequired
approvedAtstring | nullrequired
rejectedAtstring | nullrequired
paidAtstring | nullrequired
payoutStatusstring | nullrequired
decisionUndoableUntilstring | nullrequired
rejectionReasonstring | nullrequired
reviewCommentstring | nullrequired
createdAtstring | nullrequired
updatedAtstring | nullrequired
expenseCountnumberrequired
categoryNamesstring[]required
primaryExpenseCategoryNamestring | nullrequired
hasReceiptlessExpensesbooleanrequired
thirdPartyProviderstring | nullrequired
thirdPartyReportIDstring | nullrequired
reimbursementSyncedAtstring | nullrequired
reimbursementSyncErrorstring | nullrequired
justificationstring | nullrequired
expensesobject[]required
Show child attributes
hrisExpenseIDstringrequired
hrisExpenseReportIDstringrequired
roleInOrgIDstringrequired
merchantstring | nullrequired
descriptionstring | nullrequired
hrisExpenseCategoryIDstring | nullrequired
hrisExpenseCategoryNamestring | nullrequired
expensedDatestringrequired
submittedDatestring | nullrequired
amountSpentstringrequired
currencySpentIDstringrequired
currencySpentCodestringrequired
amountInExpenseCurrencystringrequired
expensedCurrencyIDstringrequired
expensedCurrencyCodestring | nullrequired
exchangeRateFromCurrencySpentToExpensestringrequired
statusstringrequired
isReimbursablebooleanrequired
approvedAtstring | nullrequired
rejectedAtstring | nullrequired
reimbursedAtstring | nullrequired
rejectionReasonstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
filesobject[]required
Show child attributes
hrisExpenseFileIDstringrequired
fileIDstringrequired
fileNamestringrequired
mimeTypestringrequired
fileSizeInBytesstring | nullrequired
fileUploadedstring | nullrequired
fileKeystring | nullrequired
fileBucketstring | nullrequired
paymentRecordsobject[]required
Show child attributes
paymentRecordIDstringrequired
methodstringrequired
sourcestringrequired
amountstringrequired
currencyCodestringrequired
paidAtstringrequired
proofReferencestring | nullrequired
chainstring | nullrequired
explorerUrlstring | nullrequired
notesstring | nullrequired
createdAtstringrequired
attachmentsobject[]required
Show child attributes
paymentRecordAttachmentIDstringrequired
fileIDstringrequired
fileNamestringrequired
mimeTypestringrequired
fileSizeInBytesstring | nullrequired
destinationSnapshotanyrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits